#
# spec file for package libbrotli
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libbrotli
Version:        0.1.0~git30
Release:        3.5
Summary:        Library implementing the Brotli compression algorithm
License:        Apache-2.0 and MIT
Group:          Development/Libraries/C and C++
Url:            http://daniel.haxx.se/blog/2015/09/30/libbrotli-is-brotli-in-lib-form/

#Git-Clone:	https://github.com/bagder/libbrotli
Source:         %name-%version.tar.xz
Patch1:         inline.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  libtool >= 2
BuildRequires:  pkg-config
BuildRequires:  xz

%description
Brotli is a generic-purpose lossless compression algorithm that
compresses data using a combination of a modern variant of the LZ77
algorithm, Huffman coding and 2nd order context modeling. It is
similar in speed with "DEFLATE" but offers more dense compression.

%package -n libbrotlidec0
Summary:        Library implementing the Brotli decompressor
License:        Apache-2.0
Group:          System/Libraries

%description -n libbrotlidec0
Brotli is a generic-purpose lossless compression algorithm that
compresses data using a combination of a modern variant of the LZ77
algorithm, Huffman coding and 2nd order context modeling. It is
similar in speed with "DEFLATE" but offers more dense compression.

%package -n libbrotlienc0
Summary:        Library implementing the Brotli compressor
License:        Apache-2.0
Group:          System/Libraries

%description -n libbrotlienc0
Brotli is a generic-purpose lossless compression algorithm that
compresses data using a combination of a modern variant of the LZ77
algorithm, Huffman coding and 2nd order context modeling. It is
similar in speed with "DEFLATE" but offers more dense compression.

%package devel
Summary:        Library implementing the Brotli compression algorithm
License:        Apache-2.0
Group:          Development/Libraries/C and C++
Requires:       libbrotlidec0 = %version
Requires:       libbrotlienc0 = %version

%description devel
Brotli is a generic-purpose lossless compression algorithm that
compresses data using a combination of a modern variant of the LZ77
algorithm, Huffman coding and 2nd order context modeling. It is
similar in speed with "DEFLATE" but offers more dense compression.

This subpackage contains libraries and header files for developing
applications that want to make use of libcerror.

%prep
%setup -q
%patch -P 1 -p1

%build
autoreconf -fi
%configure --disable-static
make %{?_smp_flags}

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%check
make check

%post   -n libbrotlidec0 -p /sbin/ldconfig
%postun -n libbrotlidec0 -p /sbin/ldconfig
%post   -n libbrotlienc0 -p /sbin/ldconfig
%postun -n libbrotlienc0 -p /sbin/ldconfig

%files -n libbrotlidec0
%defattr(-,root,root)
%_libdir/libbrotlidec.so.0*

%files -n libbrotlienc0
%defattr(-,root,root)
%_libdir/libbrotlienc.so.0*

%files devel
%defattr(-,root,root)
%_includedir/brotli/
%_libdir/libbrotli*.so
%_libdir/pkgconfig/*.pc
%doc brotli/LICENSE

%changelog
* Fri Oct  2 2015 jengelh@inai.de
- Initial package (version 0.1.0~git30) for build.opensuse.org
- Add inline.diff
